## qt6-websockets 6.2.4

=== src/CMakeLists.txt ===
# Generated from src.pro.

add_subdirectory(websockets)
if(TARGET Qt::Quick)
    add_subdirectory(imports)
endif()

=== tests/auto/CMakeLists.txt ===
add_subdirectory(cmake)
add_subdirectory(websockets)
if(TARGET Qt::Quick)
    add_subdirectory(qml)
endif()

=== examples/websockets/qmlwebsocketclient/CMakeLists.txt ===
# Generated from qmlwebsocketclient.pro.

cmake_minimum_required(VERSION 3.16)
project(qmlwebsocketclient LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/websockets/qmlwebsocketclient")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS WebSockets)

qt_add_executable(qmlwebsocketclient
    main.cpp
)
set_target_properties(qmlwebsocketclient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE FALSE
)
target_link_libraries(qmlwebsocketclient PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::WebSockets
)


# Resources:
set(data_resource_files
    "qml/qmlwebsocketclient/main.qml"
)

qt6_add_resources(qmlwebsocketclient "data"
    PREFIX
        "/"
    FILES
        ${data_resource_files}
)

install(TARGETS qmlwebsocketclient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/qml/CMakeLists.txt ===
# Generated from qml.pro.

if(NOT UIKIT)
    add_subdirectory(qmlwebsockets)
endif()

=== tests/auto/websockets/dataprocessor/CMakeLists.txt ===
# Generated from dataprocessor.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_dataprocessor Test:
#####################################################################

qt_internal_add_test(tst_dataprocessor
    SOURCES
        tst_dataprocessor.cpp
    PUBLIC_LIBRARIES
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:dataprocessor.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== debian/changelog ===
qt6-websockets (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:14:07 +0200

qt6-websockets (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:04:38 +0100

qt6-websockets (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 02:17:32 +0100

qt6-websockets (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 00:48:34 +0100

qt6-websockets (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #1000167)

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Nov 2021 13:40:44 +0100

=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git
Rules-Requires-Root: no

Package: libqt6websockets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qml6-module-qtwebsockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 WebSockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: libqt6websockets6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6websockets6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

## qt6-websockets 6.3.1

=== debian/changelog ===
qt6-websockets (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:16 +0200

qt6-websockets (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 03:43:52 +0200

qt6-websockets (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:01:13 +0200

qt6-websockets (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:08:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git

## qt6-websockets 6.4.2

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(websockets)

qt_examples_build_end()

=== tests/CMakeLists.txt ===
# Generated from tests.pro.

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

qt_build_tests()

=== examples/websockets/CMakeLists.txt ===
qt_internal_add_example(echoclient)
qt_internal_add_example(echoserver)
qt_internal_add_example(simplechat)
if(TARGET Qt::Quick)
    qt_internal_add_example(qmlwebsocketclient)
    qt_internal_add_example(qmlwebsocketserver)
endif()
if(QT_FEATURE_ssl)
    qt_internal_add_example(sslechoserver)
    qt_internal_add_example(sslechoclient)
endif()

=== src/imports/CMakeLists.txt ===
# Generated from imports.pro.

add_subdirectory(qmlwebsockets)

=== src/websockets/CMakeLists.txt ===
# Generated from websockets.pro.

#####################################################################
## WebSockets Module:
#####################################################################

qt_internal_add_module(WebSockets
    SOURCES
        qdefaultmaskgenerator_p.cpp qdefaultmaskgenerator_p.h
        qmaskgenerator.cpp qmaskgenerator.h
        qwebsocket.cpp qwebsocket.h qwebsocket_p.cpp qwebsocket_p.h
        qwebsocketcorsauthenticator.cpp qwebsocketcorsauthenticator.h qwebsocketcorsauthenticator_p.h
        qwebsocketdataprocessor.cpp qwebsocketdataprocessor_p.h
        qwebsocketframe.cpp qwebsocketframe_p.h
        qwebsockethandshakeoptions.cpp qwebsockethandshakeoptions.h qwebsockethandshakeoptions_p.h
        qwebsockethandshakerequest.cpp qwebsockethandshakerequest_p.h
        qwebsockethandshakeresponse.cpp qwebsockethandshakeresponse_p.h
        qwebsocketprotocol.cpp qwebsocketprotocol.h qwebsocketprotocol_p.h
        qwebsockets_global.h
        qwebsocketserver.cpp qwebsocketserver.h qwebsocketserver_p.cpp qwebsocketserver_p.h
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
    GENERATE_CPP_EXPORTS
)

#### Keys ignored in scope 1:.:.:websockets.pro:<TRUE>:
# OTHER_FILES = "doc/src/*.qdoc" "doc/snippets/*.cpp" "doc/qtwebsockets.qdocconf"

## Scopes:
#####################################################################

qt_internal_extend_target(WebSockets CONDITION WASM
    SOURCES
        qwebsocket_wasm_p.cpp
    LIBRARIES
        websocket.js
)

qt_internal_add_docs(WebSockets
    doc/qtwebsockets.qdocconf
)

=== examples/websockets/qmlwebsocketclient/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qmlwebsocketclient LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/websockets/qmlwebsocketclient")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick WebSockets)

qt_add_executable(qmlwebsocketclient
    main.cpp
)

set_target_properties(qmlwebsocketclient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE FALSE
)

target_link_libraries(qmlwebsocketclient PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::WebSockets
)

# Resources:
set(data_resource_files
    "qml/qmlwebsocketclient/main.qml"
)

qt6_add_resources(qmlwebsocketclient "data"
    PREFIX
        "/"
    FILES
        ${data_resource_files}
)

install(TARGETS qmlwebsocketclient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/websockets/sslechoserver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(sslechoserver LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/websockets/sslechoserver")

find_package(Qt6 REQUIRED COMPONENTS WebSockets)

qt_add_executable(sslechoserver
    main.cpp
    sslechoserver.cpp sslechoserver.h
)

set_target_properties(sslechoserver PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE FALSE
)

target_link_libraries(sslechoserver PUBLIC
    Qt::WebSockets
)

# Resources:
set(securesocketclient_resource_files
    "localhost.cert"
    "localhost.key"
)

qt6_add_resources(sslechoserver "securesocketclient"
    PREFIX
        "/"
    FILES
        ${securesocketclient_resource_files}
)

install(TARGETS sslechoserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/websockets/CMakeLists.txt ===
# Generated from websockets.pro.

add_subdirectory(qwebsocketcorsauthenticator)
add_subdirectory(qwebsocket)
add_subdirectory(qwebsocketserver)
if(QT_FEATURE_private_tests)
    add_subdirectory(websocketprotocol)
    add_subdirectory(dataprocessor)
    add_subdirectory(websocketframe)
    add_subdirectory(handshakerequest)
    add_subdirectory(handshakeresponse)
    add_subdirectory(qdefaultmaskgenerator)
endif()

=== tests/auto/qml/qmlwebsockets/CMakeLists.txt ===
# Generated from qmlwebsockets.pro.

#####################################################################
## tst_qmlwebsockets Test:
#####################################################################
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmlwebsockets
    QMLTEST
    SOURCES
        tst_qmlwebsockets.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:qmlwebsockets.pro:<TRUE>:
# DEPLOYMENT = "importFiles"
# TEMPLATE = "app"
# importFiles.path = "."

=== tests/auto/websockets/handshakerequest/CMakeLists.txt ===
# Generated from handshakerequest.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_handshakerequest Test:
#####################################################################

qt_internal_add_test(tst_handshakerequest
    SOURCES
        tst_handshakerequest.cpp
    LIBRARIES
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:handshakerequest.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== tests/auto/websockets/handshakeresponse/CMakeLists.txt ===
# Generated from handshakeresponse.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_handshakeresponse Test:
#####################################################################

qt_internal_add_test(tst_handshakeresponse
    SOURCES
        tst_handshakeresponse.cpp
    LIBRARIES
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:handshakeresponse.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== tests/auto/websockets/qwebsocketcorsauthenticator/CMakeLists.txt ===
# Generated from qwebsocketcorsauthenticator.pro.

#####################################################################
## tst_qwebsocketcorsauthenticator Test:
#####################################################################

qt_internal_add_test(tst_qwebsocketcorsauthenticator
    SOURCES
        tst_qwebsocketcorsauthenticator.cpp
    PUBLIC_LIBRARIES
        Qt::WebSockets
)

#### Keys ignored in scope 1:.:.:qwebsocketcorsauthenticator.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-websockets (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:02:26 +0000

qt6-websockets (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:37 +0000

qt6-websockets (6.4.2-3) unstable; urgency=medium

  * Team upload to unstable.
  * Fix typo in doc-base file name.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Jul 2023 15:29:09 -0300

qt6-websockets (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Jul 2023 13:07:16 -0300

qt6-websockets (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix patch for cross-building (Closes: #1024752).
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Jan 2023 21:37:43 +0100

qt6-websockets (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add Breaks/Replaces for libqt6websockets6-dev.
  * Add a Provides for libqt6websockets6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:32:12 +0100

qt6-websockets (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:32 +0100

qt6-websockets (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:41 +0100

qt6-websockets (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1024752).
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Dec 2022 01:30:13 +0100

qt6-websockets (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 06:59:48 +0100

qt6-websockets (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6websockets6-dev to qt6-websockets-dev.
  * New binary package qt6-websockets-private-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 06 Nov 2022 13:25:45 +0100

qt6-websockets (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:37:43 +0200

=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git
Rules-Requires-Root: no

Package: libqt6websockets6
Provides: qt6-websockets-abi (= 6.4.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qml6-module-qtwebsockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: qt6-websockets-dev
Provides: libqt6websockets6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6websockets6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-websockets-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebSockets library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private development header files needed
 to build Qt applications using Qt 6 WebSockets library.
 .
 Use at your own risk.

Package: qt6-websockets-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 websockets tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt web sockets
 documentation.

Package: qt6-websockets-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 web sockets examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt web sockets submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-websockets 6.6.1

=== src/websockets/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from websockets.pro.
 
 #####################################################################

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-websockets
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,14 +12,12 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
@@ -28,7 +25,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-abi (= 6.4.2),
+Provides: qt6-websockets-private-abi (= 6.6.1),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},

## qt6-websockets 6.6.2

=== debian/changelog ===
qt6-websockets (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:48:11 +0200

qt6-websockets (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 10:09:56 +0100

qt6-websockets (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 19:53:25 +0100

qt6-websockets (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Nov 2023 13:13:39 +0100

qt6-websockets (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update ABI to 6.6.0.
  * Rename the virtual ABI package to qt6-websockets-private-abi.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Use the (symver) directive to catch all private symbols.

 -- Patrick Franz <deltaone@debian.org>  Mon, 13 Nov 2023 22:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
@@ -25,7 +25,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.6.1),
+Provides: qt6-websockets-private-abi (= 6.6.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},

## qt6-websockets 6.7.2

=== debian/changelog ===
qt6-websockets (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Nov 2024 22:57:38 +0100

qt6-websockets (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:14:02 +0200

qt6-websockets (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:47:58 +0200

qt6-websockets (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 23:56:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,29 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.6.2),
+Provides: qt6-websockets-private-abi (= 6.7.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -41,7 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebSockets QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -53,7 +55,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6websockets6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
+Depends: libqt6websockets6 (= ${binary:Version}),
+         qml6-module-qtwebsockets (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
 Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
 Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
 Description: Qt 6 WebSockets library - development files

## qt6-websockets 6.8.0

=== debian/changelog ===
qt6-websockets (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Sat, 26 Oct 2024 23:15:55 +0800

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,27 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.7.2),
+Provides: qt6-websockets-private-abi (= 6.8.0),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -43,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebSockets QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -55,10 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6websockets6 (= ${binary:Version}),
-         qml6-module-qtwebsockets (= ${binary:Version}),
-         qt6-base-dev,
-         ${misc:Depends},
+Depends: libqt6websockets6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
 Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
 Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
 Description: Qt 6 WebSockets library - development files

## qt6-websockets 6.8.1

=== debian/changelog ===
qt6-websockets (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:52:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: qt6-websockets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.8.0),
+Provides: qt6-websockets-private-abi (= 6.8.1),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -41,7 +44,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebSockets QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -53,7 +56,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6websockets6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
+Depends: libqt6websockets6 (= ${binary:Version}),
+         qml6-module-qtwebsockets (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
 Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
 Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
 Description: Qt 6 WebSockets library - development files

## qt6-websockets 6.8.2

=== tests/auto/websockets/qwebsocket/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qwebsocket.pro.

#####################################################################
## tst_qwebsocket Test:
#####################################################################

qt_internal_add_test(tst_qwebsocket
    SOURCES
        tst_qwebsocket.cpp
    LIBRARIES
        Qt::WebSockets
    BUNDLE_ANDROID_OPENSSL_LIBS
)

set(qwebsocketshared_resource_files
    "../shared/localhost.cert"
    "../shared/localhost.key"
)
qt_internal_add_resource(tst_qwebsocket "qwebsocketshared"
    PREFIX
        "/"
    BASE
        "../shared"
    FILES
        ${qwebsocketshared_resource_files}
)

#### Keys ignored in scope 1:.:.:qwebsocket.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-websockets (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:33:11 +0100

qt6-websockets (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 11 Feb 2025 19:01:15 +0100

qt6-websockets (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 18:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qt6-websockets
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
@@ -15,10 +14,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -28,7 +27,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.8.1),
+Provides: qt6-websockets-private-abi (= 6.8.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},

## qt6-websockets 6.8.3

=== tests/auto/websockets/qwebsocket/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
         tst_qwebsocket.cpp
     LIBRARIES
         Qt::WebSockets
+        Qt::TestPrivate
     BUNDLE_ANDROID_OPENSSL_LIBS
 )

=== tests/auto/websockets/qwebsocketserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qwebsocketserver.pro.

#####################################################################
## tst_qwebsocketserver Test:
#####################################################################

qt_internal_add_test(tst_qwebsocketserver
    SOURCES
        tst_qwebsocketserver.cpp
    LIBRARIES
        Qt::WebSockets
    BUNDLE_ANDROID_OPENSSL_LIBS
)

# Resources:
set(qwebsocketshared_resource_files
    "../shared/localhost.cert"
    "../shared/localhost.key"
)

qt_internal_add_resource(tst_qwebsocketserver "qwebsocketshared"
    PREFIX
        "/"
    BASE
        "../shared"
    FILES
        ${qwebsocketshared_resource_files}
)


#### Keys ignored in scope 1:.:.:qwebsocketserver.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qwebsocketserver CONDITION boot2qt
    DEFINES
        SHOULD_CHECK_SYSCALL_SUPPORT
)

=== debian/changelog ===
qt6-websockets (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:23:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-websockets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,10 +15,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -27,7 +28,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6websockets6
-Provides: qt6-websockets-private-abi (= 6.8.2),
+Provides: qt6-websockets-private-abi (= 6.8.3),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
